/* tag.cc */

#include "tag.h"
#include "common.h"

static tag T = 1;

tag new_tag( void ) {
  if( T ) {
    return T++;
  } else {
    dc_trace( TRACE_ERROR ) {
      cerr << "new_tag -- cannot allocate unique tag.\n";
    }
    exit(1);
  }
  return tag_error;
}

tag next_tag( void ) {
  return T;
}
